"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const index = require("../../../hooks/use-namespace/index.js");
const Vue = require("vue");
const sliderMarkerProps = runtime.buildProps({ mark: {
  type: runtime.definePropType([String, Object]),
  default: void 0
} });
var marker_default = Vue.defineComponent({
  name: "ElSliderMarker",
  props: sliderMarkerProps,
  setup(props) {
    const ns = index.useNamespace("slider");
    const label = Vue.computed(() => {
      return shared_esmBundler.isString(props.mark) ? props.mark : props.mark.label;
    });
    const style = Vue.computed(() => shared_esmBundler.isString(props.mark) ? void 0 : props.mark.style);
    return () => Vue.h("div", {
      class: ns.e("marks-text"),
      style: style.value
    }, label.value);
  }
});
exports.default = marker_default;
exports.sliderMarkerProps = sliderMarkerProps;
